#include <bits/stdc++.h>
using namespace std;

int main() {
    int n, k;
    cin >> n >> k;
    vector<int> a(n);
    int c0, c1, c2;
    c0 = c1 = c2 = 0;
    for(int i = 0; i < n; i++) {
        cin >> a[i];
        if(a[i] == 0) c0++;
        else if(a[i] == 1) c1++;
        else if(a[i] == 2) c2++;
    }
    cout << 2;
}
